Bug 444952 - Review Request: tlock - terminal lock
Review Request: tlock - terminal lock
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-02 05:45 EDT by pjp
Modified: 2014-08-22 13:08 EDT (History)
5 users (show)

See Also:
Fixed In Version: 1.3-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-22 13:08:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description pjp 2008-05-02 05:45:13 EDT
Spec URL: http://pjp.dgplug.org/tools/tlock.spec
SRPM URL: http://pjp.dgplug.org/tools/tlock-1.1-0.1.fc8.src.rpm
Description: 
tlock is a small program intended to lock the terminal until the correct
password is supplied by the user. By default 'tlock' prompts you for the
password, but can also lock the terminal with system password when invoked
with the -s switch.

tlock is distributed under the GNU General Public License - GPLv2.

Please note that, this is my first ever fedora package, and am looking for the sponsor for my package. I'd really appreciate if somebody could come forward for the sponsorship.
Comment 1 Ralf Corsepius 2008-05-02 09:59:12 EDT
This package suffers from several issues:



1. MUSTFIX: BuildRequires: ncurses is meaningless.
You will want
BuildRequires: ncurses-devel
instead.

Without it, this package doesn't build in mock at all.

2. MUSTFIX: Use %{_bindir}, %{_libdir}, %{_infodir}, %{_mandir} in %files instead of
%_prefix/bin/tlock
%_prefix/lib/*
%_prefix/share/info/*
%_prefix/share/man/*

Additionally, using %_prefix/lib also breaks building this package on 64bit targets.

3. MUSTFIX: Source0: must be an URL pointing to the tarball
(http://pjp.dgplug.org/tools/%{name}-%{version}.tar.gz) not a relative 
filename.

4. MUSTFIX: Library packaging:
- Package ships static library. If you really want to ship it, package the *.a
into a separate package. If not, disable building it (Append --disable-static to
%configure)
- Package ships *.la. Remove it in %install.

5. MUSTFIX: Devel files in base package.
Your base package %{name} contains development files, which are not needed at
run time. Either do not ship them at all or move them into a separate
%{name}-devel subpackage

6. MUSTFIX: The info files are packaged incorrectly. 
Infos require special treatment in %post/%postun
Check the FPG and/or how other packages do so.


Comment 2 pjp 2008-05-03 12:44:16 EDT
  Hello Ralf, thank you so much for the comments.

  I've removed the first four glitches, and the new SRPM & Spec files are
accessible at the above links, please have a look.

  In 5 MUSTFIX: When you say package %{name}, are you referring to the
tlock source or the RPM? I'm not very sure how to go about this devel
subpackage business.

  Is it just that, I create a new spec file for new rpm which will install
the librpass.so & readpass.h files. And in the above RPM & spec file I only
install the tlock binary along with its manual?

  Also could you please explain a bit more about 6 MUSTFIX? I didn't get what
special treatment is required for info manuals.

Thank you!
Comment 3 pjp 2008-05-03 13:23:44 EDT
6 MUSTFIX is also fixed. Please see

SPEC URL: http://pjp.dgplug.org/tools/tlock.spec
SRPM URL: http://pjp.dgplug.org/tools/tlock-1.1-0.2.fc8.src.rpm

Thank you!
Comment 4 Ralf Corsepius 2008-05-05 00:24:46 EDT
Some progress, but there still are several issues:

* MUSTFIX: Wrong License-tag:
Package is licensed GPLv2+ (GPL version 2 or later), not GPLv2.
=> License: GPLv2+

* MUSTFIX: devel libraries in base package.
Split out the devel files into a *-devel subpackage.
(Devel files: lib*.so, *.h, *.3)

* MUSTFIX: rpm-versions are missing in you %changelog entries

* SHOULD: Please remove the line referring to "GPLv2" from %description.
It's redundant to License: and legally questionable, because the actual and
legally binding licenses are those inlined into the sources.

* SHOULD: Spec uses "make -s".
We want to see messages when building rpms. make -s is not useful when building
rpms.


Side-note to you as upstream: sizeof(char) is always 1.
Apart from implicit type-casts, constructs such as 
malloc(pass_len * sizeof(char)) are pretty meaningless. 
You will likely want to change the type of pass_len to size_t instead of
unsigned int, instead.

Comment 5 pjp 2008-05-05 04:31:42 EDT
  Ralf, once again thanks for the comments. :)

 Well..all other things fixed, except the one below.

> * MUSTFIX: devel libraries in base package. Split out the devel files into
> a *-devel subpackage. (Devel files: lib*.so, *.h, *.3)

  How should I go about creating this devel subpackage? I tried creating
two rpms one to intall tlock binary & it manual and other to install the
above devel files. But `rpmbuild' breaks with this message:  
 
  error: files installed but unpackaged

could you please explain a bit more about this?

Thanks!
Comment 6 pjp 2008-05-05 04:34:40 EDT
  Ralf, once again thanks for the comments. :)

 Well..all other things fixed, except the one below. Please see:

SPEC: http://pjp.dgplug.org/tools/tlock.spec
SRPM: http://pjp.dgplug.org/tools/tlock-1.1-3.fc8.src.rpm


> * MUSTFIX: devel libraries in base package. Split out the devel files into
> a *-devel subpackage. (Devel files: lib*.so, *.h, *.3)

  How should I go about creating this devel subpackage? I tried creating
two rpms, one to intall tlock binary & its manual and other to install the
above devel files. But `rpmbuild' breaks with this message:

  error: files installed but unpackaged

could you please explain a bit more about this?

Thanks!
Comment 7 pjp 2008-05-06 02:44:38 EDT
Please see the latest files below, I've created the tlock-devel package to
install the appropriate files.

SPEC: http://pjp.dgplug.org/tools/tlock.spec
SRPM: http://pjp.dgplug.org/tools/tlock-1.1-4.fc8.src.rpm

Ummn...one more thing is, I'm still looking for the sponsor. Any
comments/thoughts about that?

Thank you!
Comment 8 Ralf Corsepius 2008-05-06 04:05:07 EDT
I would be able to sponsor you, ... we're making progress, but we're not quite
there:

# rpmlint  tlock*-1.1-4.fc8.x86_64.rpm
tlock.x86_64: E: devel-dependency tlock-devel
=> You've got the dependencies reversed.
tlock-devel should "Requires: tlock = %{version}-%{release}"

You have tlock "Requires: tlock-devel"


tlock.x86_64: W: summary-not-capitalized tlock is a terminal lock
=> This warning can be ignored.


tlock.x86_64: W: non-standard-group Application/System
=> please check /usr/share/doc/rpm*/GROUPS and choose appropriate one.


tlock.x86_64: W: incoherent-version-in-changelog 4 1.1-4.fc8
=> The version numbers you choose in your %changelog do not match what Fedora
expect. They need to be in the form "version-release", 
i.e. "1.1-4", instead of "4"


tlock.x86_64: W: one-line-command-in-%postun /sbin/ldconfig
=> Can be ignored

tlock-devel.x86_64: E: library-without-ldconfig-postin /usr/lib64/librpass.so.0.0.0
tlock-devel.x86_64: E: library-without-ldconfig-postun /usr/lib64/librpass.so.0.0.0
tlock-devel.x86_64: W: no-dependency-on tlock
These three are side-effects of the reversed dependencies between tlock and
tlock-devel. They should resolve once you've got this sorted out.


Further MUSTFIX, very closely related to the "tlock<->tlock-devel" deps issue:
lib*.so.* should go into tlock
lib*.so should go into tlock-devel


Comment 9 pjp 2008-05-06 05:44:01 EDT
  Hey Ralf, thanks for the comments.

The first error sounds quite strange to me. Because it is the tlock program
that makes use of librpass library, and *not* the vice-versa; ie. When one
tries to install tlock, librpass.so should already be there, installed,
shouldn't it?

Anyways..I've made the changes. Please see the latest files at:

SPEC: http://pjp.dgplug.org/tools/tlock.spec
SRPM: http://pjp.dgplug.org/tools/tlock-1.1-5.fc8.src.rpm

Thank you!
Comment 10 Ralf Corsepius 2008-05-06 10:09:10 EDT
Can't access the files:
> Forbidden
> You don't have permission to access /tools/tlock.spec on this server.
> Additionally, a 403 Forbidden error was encountered while trying to use an
ErrorDocument to handle the request.
Comment 11 pjp 2008-05-07 04:20:24 EDT
Oops...! Really sorry for that. Please see again

SPEC: http://pjp.dgplug.org/tools/tlock.spec
SRPM: http://pjp.dgplug.org/tools/tlock-1.1-5.fc8.src.rpm

Thank you!
Comment 12 Ralf Corsepius 2008-05-12 02:24:04 EDT
There is still one major bug:

Your *-devel contains this:
Requires:       %{name} = %{version}

This doesn't work. It must be
Requires:       %{name} = %{version}-%{release}
Comment 13 pjp 2008-05-12 09:20:34 EDT
  Hey Ralf,

Some of the spec files I came across did have just the name & version so I
thought...anyways sorry for that. I've uploaded the new files at

SPEC: http://pjp.dgplug.org/tools/tlock.spec
SRPM: http://pjp.dgplug.org/tools/tlock-1.1-6.fc8.src.rpm

Thank you so much!
Comment 14 pjp 2008-05-12 10:43:24 EDT
  Hello Ralf,

Please see the latest files at

SPEC: http://pjp.dgplug.org/tools/tlock.spec
SRPM: http://pjp.dgplug.org/tools/tlock-1.2-7.fc8.src.rpm

I did few minor changes to tlock. No new feature addition, but removed some
glitches from check_option() & readpass() functions and readpass manual. Rest
all is exactly same as before.

Thank you!
Comment 15 pjp 2008-05-23 14:33:51 EDT
  Hello Ralf,

What's up man, am waiting to hear something from you.
Comment 16 pjp 2008-05-27 03:13:20 EDT
Please see these latest files at

SPEC: http://pjp.dgplug.org/tools/tlock.spec
SRPM: http://pjp.dgplug.org/tools/tlock-1.2-1.fc8.src.rpm

Thanks!
Comment 17 Mamoru TASAKA 2008-05-27 12:34:02 EDT
For 1.2-1:

* rpmlint issue
  - Please check your rpms by rpmlint (in rpmlint package)
------------------------------------------------------------
tlock.i386: E: info-dir-file /usr/share/info/dir
tlock.i386: W: summary-not-capitalized tlock is a terminal lock
tlock.i386: W: one-line-command-in-%postun /sbin/ldconfig
tlock.src: W: summary-not-capitalized tlock is a terminal lock
tlock.src: W: strange-permission tlock.spec 0600
tlock.src: W: strange-permission tlock-1.2.tar.gz 0600
------------------------------------------------------------
    Summary
    * %_infodir/dir must be removed.
    * Summary must begin with capital letter.
      Also, the description "tlock is" is redundant.
    * When calling /sbin/ldconfig "only" on scriptlet, write it
      in one line to avoid unneeded shell call by
------------------------------------------------------------
%postun -p /sbin/ldconfig
------------------------------------------------------------
    * Change the permission of all files in srpm to 0644.

* Parallel make
  - Support parallel make if possible, otherwise write on the
    spec file that parallel make doesn't work for this package.

* %clean
  - "make distclean" is not needed. rpmbuild finally removes all files
    under %_tmppath/%name-%version and the directory itself.

! Duplicate files
  - Not a blocker, however the files "README COPYING" for -devel
    package are redundant because -devel subpackage always requires
    tlock package.

* info files issue
  - After removng %_infodir/dir
-------------------------------------------------------------
[root@localhost i386]# LANG=C rpm -ivh tlock-1.2-1.fc9_p.1.i386.rpm
tlock-devel-1.2-1.fc9_p.1.i386.rpm 
Preparing...                ########################################### [100%]
   1:tlock                  ########################################### [ 50%]
install-info: warning: no info dir entry in `/usr/share/info/tlock.info'
   2:tlock-devel            ########################################### [100%]
-------------------------------------------------------------
    Please verify if this warning can be ignored.
Comment 18 pjp 2008-05-28 07:59:55 EDT
   Hey Mamoru, thanks for the reply.

Please see these new files below, I've made the changes.

SPEC: http://pjp.dgplug.org/tools/tlock.spec
SRPM: http://pjp.dgplug.org/tools/tlock-1.2-2.fc8.src.rpm

Thank you so much!
Comment 19 Mamoru TASAKA 2008-05-28 09:28:29 EDT
* Please remove "make distclean".

(In reply to comment #17)
>   - rpmbuild finally removes all files
>     under %_tmppath/%name-%version and the directory itself.

Should be read as "under %_builddir/%name-%version and the directory
itself, sorry..

* Source file differs from upstream:
[tasaka1@localhost tlock]$ md5sum *gz */*gz
1570146fd518f07878c7b4d97235c2eb  tlock-1.2.tar.gz
95a2851c47d7d41dbfa1999e974b49f0  tlock-1.2-2.fc8/tlock-1.2.tar.gz
  This cannot be allowed.
Comment 20 pjp 2008-05-29 01:10:36 EDT
  Hey Mamoru,

(In reply to comment #19)
> * Please remove "make distclean".

  Oops..missed that, sorry.

> * Source file differs from upstream:
> 1570146fd518f07878c7b4d97235c2eb  tlock-1.2.tar.gz
> 95a2851c47d7d41dbfa1999e974b49f0  tlock-1.2-2.fc8/tlock-1.2.tar.gz

  Ah sorry again..did some changes to the techinfo source file, to add a menu
entry in %{_infodir}/dir, and so as to get rid of that install-info warning.
please see the latest files at

SPEC: http://pjp.dgplug.org/tools/tlock.spec
SORC: http://pjp.dgplug.org/tools/tlock-1.2.tar.gz
SRPM: http://pjp.dgplug.org/tools/tlock-1.2-3.fc8.src.rpm

Thank you!
Comment 21 Mamoru TASAKA 2008-05-29 02:29:13 EDT
(In reply to comment #20)
>   Hey Mamoru,
> 
> > * Source file differs from upstream:
> > 1570146fd518f07878c7b4d97235c2eb  tlock-1.2.tar.gz
> > 95a2851c47d7d41dbfa1999e974b49f0  tlock-1.2-2.fc8/tlock-1.2.tar.gz
> 
>   Ah sorry again..did some changes to the techinfo source file, to add a menu
> entry in %{_infodir}/dir, and so as to get rid of that install-info warning.

Well, as you are the upstream, please don't change the released
tarball _itself_ without changing version, otherwise it is very confusing
(especially for people who are not aware of this review request).

If you want to change the formally-released tarball itself, please
change the version and release the new one.
Comment 22 pjp 2008-05-29 03:16:37 EDT
  Hello Mamoru, that was quick!

> If you want to change the formally-released tarball itself, please
> change the version and release the new one.
  
  Ah okay, I'll be careful hereafter. You don't want me to call it tlock-1.3, do
you?

Thanks!
Comment 23 Mamoru TASAKA 2008-05-29 03:53:48 EDT
(In reply to comment #22)
>   Ah okay, I'll be careful hereafter. You don't want me to call it tlock-1.3, do
> you?
> 

It is up to you, however honestly saying I still want you to change
the version and release the new one (1.2.1, for example). 
Actually the diff is small, however it surely removes info install warning,
which should be useful also for non-Fedora people.

Anyway:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few (or no) work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------


Comment 24 pjp 2008-05-29 05:10:06 EDT
  Hello Mamoru, thanks for the information.

Please have a look at these new files at

SPEC: http://pjp.dgplug.org/tools/tlock.spec
SORC: http://pjp.dgplug.org/tools/tlock-1.3.tar.gz
SRPM: http://pjp.dgplug.org/tools/tlock-1.3-1.fc8.src.rpm

Also, I'm already working on the new review request for
Move(http://pjp.dgplug.org/tools/) and soon should be able to submit it.

Thank you!
Comment 25 Mamoru TASAKA 2008-06-04 13:15:24 EDT
If you have submitted another review request (or have done a pre-review
of other person's review request). please let me know it.
Comment 26 pjp 2008-06-10 09:40:04 EDT
  Hello Mamoru,

I'm very sorry man, was a bit too busy last whole week. Yes, I'm almost done
with the move package, and shall create a review request in couple of days and
let you know immediately.

Once again I'm really very sorry!

Thanks!!
Comment 27 pjp 2008-06-11 08:35:29 EDT
  Hello Mamoru,

I've created a new package review request for move at

https://bugzilla.redhat.com/show_bug.cgi?id=450850

Please have a look at let me know if any changes are required.

Thank you!
Comment 28 Mamoru TASAKA 2008-06-12 11:34:18 EDT
Okay for this package.

---------------------------------------------------------------------------
       This package (tlock) is APPROVED by me
---------------------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor. At the stage, please also write on
this bug for confirmation that you requested for sponsorship and
your FAS (Fedora Account System) name. Then I will sponsor you.

If you want to import this package into Fedora 8/9, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.
Comment 29 pjp 2008-06-13 04:54:41 EDT
  Hey Mamoru,

Thank you so much! I'm really very happy. :)

I'll go through the links and follow them.

Thanks! :)
Comment 30 pjp 2008-06-13 05:57:40 EDT
  Hello Mamoru,

I've already created the FAS account, my username is: pjp. I've also applied for
the membership to cvsextras group, but that is not yet approved.

Could you please approve it?

Thank you!
Comment 31 Mamoru TASAKA 2008-06-13 06:17:58 EDT
Now I am sponsoring you. Please follow "Join" page again.
Comment 32 pjp 2008-06-17 01:20:16 EDT
(In reply to comment #31)
> Now I am sponsoring you. Please follow "Join" page again.

  Hey, thank you so much. I'll do that. :)

Thank you!
Comment 33 pjp 2008-06-17 06:39:46 EDT
New Package CVS Request
=======================
Package Name: tlock
Short Description: terminal lock
Owners: pjp
Branches: F-8 F-9 EL-4 EL-5
InitialCC: pjp
Cvsextras Commits: yes
Comment 34 Kevin Fenzi 2008-06-17 13:07:26 EDT
cvs done.
Comment 35 Mamoru TASAKA 2008-06-23 11:38:05 EDT
ping?
Comment 36 pjp 2008-06-24 01:46:07 EDT
  Hey Mamoru, how are you?

I did package tlock for devel(F-10), F-8, F-9, EL-4 and EL-5 successfully. :)

Now will it be included in the next Fedora/EL release automatically, or do I
still need to do something? I'm again working on move now, converting it to
`ptrash'. Hey, I'm really thankful to you for all the support you gave me.

Thank you! :)
Comment 37 Mamoru TASAKA 2008-06-24 03:50:35 EDT
(In reply to comment #36)

For EPEL -
Actually I don't know. Currently I don't maintain any packages on EPEL.
However according to
https://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#Package_maintenance_and_update_policy
it seems that packages are added automatically after one month of testing
period?

For F-9/8
It is *not* pushed automatically. You have to visit
https://admin.fedoraproject.org/updates/
and request to push your packages into repositories.
Comment 38 Fedora Update System 2008-06-24 06:35:40 EDT
tlock-1.3-1.fc9 has been submitted as an update for Fedora 9
Comment 39 Fedora Update System 2008-06-24 06:37:07 EDT
tlock-1.3-1.fc8 has been submitted as an update for Fedora 8
Comment 40 Fedora Update System 2008-06-24 22:50:29 EDT
tlock-1.3-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 41 Fedora Update System 2008-06-24 22:51:43 EDT
tlock-1.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 42 pjp 2014-08-22 03:47:41 EDT
Package Change Request
======================
Package Name: tlock
New Branches: epel7
Owners: pjp
Comment 43 Jon Ciesla 2014-08-22 08:10:35 EDT
Git done (by process-git-requests).
Comment 44 pjp 2014-08-22 13:00:45 EDT
Thank you Jon! :)

Note You need to log in before you can comment on or make changes to this bug.